Subject: Re: [PATCH net-next 6/6] net_sched: act: remove spinlock in fast path

From: John Fastabend <[email-masked]>
Date: Fri, 03 Jul 2015 10:21:36 -0700

On 15-07-03 05:08 AM, Eric Dumazet wrote:
> On Fri, 2015-07-03 at 07:25 -0400, Jamal Hadi Salim wrote:
>> On 07/02/15 16:59, Eric Dumazet wrote:
>>> On Thu, 2015-07-02 at 09:35 -0700, John Fastabend wrote:
>>
>>>
>>> Point is to not dirty cache line for every packet ?
>>>
>>> Doing the test means we attempt dirtying only ~HZ times per second,
>>> which really matters to handle millions of packets per second.
>>>
>>> My tests show a good enough performance, not sure we want a percpu thing
>>> for this lastuse field.

Agreed percpu is overkill thanks for the explanation. Looks good
to me.